﻿using CoreLibrary.Joueurs;
using System.Diagnostics.CodeAnalysis;

namespace CoreLibrary.Manager
{
    public class Stub : IPersistanceManager
    {
        public bool EstEnregistre { get; private set; } = false;

        public IEnumerable<Joueur> Charger()
        {
            return [
                new Joueur("Pauline", 50, 5, 2, 0),
                new Joueur("Céleste", 40, 6, 2, 0),
                new Joueur("Camille", 55, 8, 0, 1),
                new Joueur("Toto", 70, 0, 0, 10),
            ];
        }

        [SuppressMessage("SonarAnalyzer", "S1186", Justification = "This method is intentionally left blank.")]
        public void Enregistrer(IEnumerable<Joueur> donnees)
        {
            EstEnregistre = true;
        }
    }
}
